Skip to main content
PUT
/
v1
/
crm
/
agents
/
{agentId}
/
{action}
Update an Agent Status
curl --request PUT \
  --url https://api.example.com/v1/crm/agents/{agentId}/{action} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "clientPath": "<string>",
  "passwordExpirationDays": 123,
  "loginFailureAttempts": 123,
  "loginTimeoutMinutes": 123,
  "tokenTimeoutMinutes": 123,
  "otpValidityMinutes": 123,
  "accountCooldownMinutes": 123,
  "previousPasswordLimit": 123,
  "multifactorEnabled": true,
  "createdAt": "<string>",
  "createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "updatedAt": "<string>",
  "updatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "parentClientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "dba": "<string>",
  "legal": "<string>",
  "firstName": "<string>",
  "lastName": "<string>",
  "email": "<string>",
  "phoneNumber": "<string>",
  "federalTaxId": "<string>",
  "hashedFederalTaxId": "<string>",
  "bankIca": "<string>",
  "bankIsDefault": true,
  "encryptionKeyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "dateSigned": "<string>",
  "qaInitiatedAt": "<string>",
  "qaCompletedAt": "<string>",
  "bankBinId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "nextDayFunding": true,
  "reservePercent": 50,
  "businessType": "<string>",
  "goodsAndServices": "<string>",
  "yearsInBusiness": 4503599627370495,
  "accountNumber": "<string>",
  "routingNumber": "<string>",
  "parent": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "dba": "<string>",
    "legal": "<string>",
    "firstName": "<string>",
    "lastName": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Enter token in following format: Bearer

Path Parameters

action
enum<string>
required
Available options:
activate,
deactivate
agentId
string
required

Response

The updated agent.

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
clientPath
string
required
passwordExpirationDays
number
required
loginFailureAttempts
number
required
loginTimeoutMinutes
number
required
tokenTimeoutMinutes
number
required
otpValidityMinutes
number
required
accountCooldownMinutes
number
required
previousPasswordLimit
number
required
multifactorEnabled
boolean
required
createdAt
string
required
createdBy
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
type
enum<string>
required
Available options:
sgpy,
processor,
bank,
partner,
merchant,
agent
status
enum<string>
required
Available options:
active,
inactive,
closed
updatedAt
string
required
updatedBy
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
parentClientId
string<uuid> | null
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
dba
string | null
Maximum string length: 80
Maximum string length: 80
firstName
string | null
Maximum string length: 80
lastName
string | null
Maximum string length: 80
email
Allowed value: ""
phoneNumber
string | null
Maximum string length: 32
federalTaxId
string | null
hashedFederalTaxId
string | null
accountType
enum<string> | null
Available options:
checking,
savings,
other
bankIca
string | null
bankIsDefault
boolean | null
encryptionKeyId
string<uuid> | null
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
dateSigned
string | null
qaInitiatedAt
string | null
qaCompletedAt
string | null
bankBinId
string<uuid> | null
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
depositTypeSetting
enum<string> | null
Available options:
gross,
net
fundingDelay
enum<string> | null
Available options:
0,
1,
2
nextDayFunding
boolean | null
minimumDiscountType
enum<string> | null
Available options:
daily,
monthly
reservePercent
number | null
Required range: 0 <= x <= 100
businessType
string | null
goodsAndServices
string | null
yearsInBusiness
integer | null
Required range: 0 <= x <= 9007199254740991
accountNumber
string | null
routingNumber
string | null
Maximum string length: 9
parent
object